(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global.rlBlockUi = global.rlBlockUi || {}),global.ng.core,global.ng.common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

var RlDatepickerPopupDirective = (function () {
    function RlDatepickerPopupDirective(el) {
        this.element = el;
        el.nativeElement.style.position = 'absolute';
        el.nativeElement.style.top = '35px';
        el.nativeElement.style.right = '15px';
        el.nativeElement.style['z-index'] = '1035';
        el.nativeElement.style['background-color'] = '#f5f5f5';
        el.nativeElement.style['padding-bottom'] = '5px';
        el.nativeElement.style['border-bottom'] = 'rgb(227, 227, 227) 1px solid';
    }
    RlDatepickerPopupDirective.prototype.ngOnChanges = function (changes) {
        if (changes.open.currentValue) {
            this.element.nativeElement.style.display = 'block';
        }
        else {
            this.element.nativeElement.style.display = 'none';
        }
    };
    return RlDatepickerPopupDirective;
}());
RlDatepickerPopupDirective.decorators = [
    { type: _angular_core.Directive, args: [{
                selector: '[rlDatepickerPopup]'
            },] },
];
/** @nocollapse */
RlDatepickerPopupDirective.ctorParameters = function () { return [
    { type: _angular_core.ElementRef, },
]; };
RlDatepickerPopupDirective.propDecorators = {
    'open': [{ type: _angular_core.Input },],
};

var RlDatepickerPopupModule = (function () {
    function RlDatepickerPopupModule() {
    }
    RlDatepickerPopupModule.forRoot = function () {
        return {
            ngModule: RlDatepickerPopupModule
        };
    };
    return RlDatepickerPopupModule;
}());
RlDatepickerPopupModule.decorators = [
    { type: _angular_core.NgModule, args: [{
                imports: [
                    _angular_common.CommonModule
                ],
                declarations: [
                    RlDatepickerPopupDirective
                ],
                exports: [
                    RlDatepickerPopupDirective
                ]
            },] },
];
/** @nocollapse */
RlDatepickerPopupModule.ctorParameters = function () { return []; };

exports.RlDatepickerPopupModule = RlDatepickerPopupModule;
exports.RlDatepickerPopupDirective = RlDatepickerPopupDirective;

Object.defineProperty(exports, '__esModule', { value: true });

})));
