import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RlDatepickerPopupDirective } from './src/rl-datepicker-popup.directive';


export * from './src/rl-datepicker-popup.directive';

@NgModule({
  imports: [
    CommonModule
  ],
  declarations: [
    RlDatepickerPopupDirective
  ],
  exports: [
    RlDatepickerPopupDirective
  ]
})
export class RlDatepickerPopupModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: RlDatepickerPopupModule
    };
  }
}
